## Apache Zeta Components Manual :: Docs For Class ezcMvcDispatcherConfiguration

### MvcTools::ezcMvcDispatcherConfiguration

### Interface ezcMvcDispatcherConfiguration

Configure a dispatcher with an instance of an implementation of this interface.

You can use any dispatcher with the same configuration class.

Source for this file: /MvcTools/src/interfaces/dispatcher_configuration.php

Version: | //autogentag//

### Method Summary

public ezcMvcRedirect | `createFatalRedirectRequest( $request , $result , $e )` Create the default internal redirect object in case something goes wrong in the views.
public ezcMvcRequestParser | `createRequestParser( )` Creates the request parser able to produce a relevant request object for this session.
public ezcMvcResponseWriter | `createResponseWriter( $routeInfo , $request , $result , $response )` Creates a response writer that uses the response and sends its output.
public ezcMvcRouter | `createRouter( $request )` Create the router able to instantiate a relevant controller for this request.
public ezcMvcView | `createView( $routeInfo , $request , $result )` Creates the view handler that is able to process the result.
public void | `runPreRoutingFilters( $request )` Runs all the pre-routing filters that are deemed necessary depending on information in $request.
public ezcMvcInternalRedirect|null | `runRequestFilters( $routeInfo , $request )` Runs all the request filters that are deemed necessary depending on information in $routeInfo and $request.
public void | `runResponseFilters( $routeInfo , $request , $result , $response )` Runs all the request filters that are deemed necessary depending on information in $routeInfo, $request, $result and $response.
public void | `runResultFilters( $routeInfo , $request , $result )` Runs all the request filters that are deemed necessary depending on information in $routeInfo, $request and $result.

### Methods

#### createFatalRedirectRequest

ezcMvcRedirect createFatalRedirectRequest( ezcMvcRequest $request , ezcMvcResult $result , $e )

Create the default internal redirect object in case something goes wrong in the views.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |
`$result` | ezcMvcResult |
`$e` | Exception |

#### createRequestParser

ezcMvcRequestParser createRequestParser( )

Creates the request parser able to produce a relevant request object for this session.

#### createResponseWriter

ezcMvcResponseWriter createResponseWriter( ezcMvcRoutingInformation $routeInfo , ezcMvcRequest $request , ezcMvcResult $result , ezcMvcResponse $response )

Creates a response writer that uses the response and sends its output.

This method should be able to pick different response writers, but the response writer itself will only know about the $response.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeInfo` | ezcMvcRoutingInformation |
`$request` | ezcMvcRequest |
`$result` | ezcMvcResult |
`$response` | ezcMvcResponse |

#### createRouter

ezcMvcRouter createRouter( ezcMvcRequest $request )

Create the router able to instantiate a relevant controller for this request.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |

#### createView

ezcMvcView createView( ezcMvcRoutingInformation $routeInfo , ezcMvcRequest $request , ezcMvcResult $result )

Creates the view handler that is able to process the result.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeInfo` | ezcMvcRoutingInformation |
`$request` | ezcMvcRequest |
`$result` | ezcMvcResult |

#### runPreRoutingFilters

void runPreRoutingFilters( ezcMvcRequest $request )

Runs all the pre-routing filters that are deemed necessary depending on information in $request.

The pre-routing filters could modify the request data so that a different router can be chosen.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |

#### runRequestFilters

ezcMvcInternalRedirect|null runRequestFilters( ezcMvcRoutingInformation $routeInfo , ezcMvcRequest $request )

Runs all the request filters that are deemed necessary depending on information in $routeInfo and $request.

This method can return an object of class ezcMvcInternalRedirect in case the filters require this. A reason for this could be in case an authentication filter requires authentication credentials to be passed in through a login form. The method can also not return anything in case no redirect is necessary.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeInfo` | ezcMvcRoutingInformation |
`$request` | ezcMvcRequest |

#### runResponseFilters

void runResponseFilters( ezcMvcRoutingInformation $routeInfo , ezcMvcRequest $request , ezcMvcResult $result , ezcMvcResponse $response )

Runs all the request filters that are deemed necessary depending on information in $routeInfo, $request, $result and $response.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeInfo` | ezcMvcRoutingInformation |
`$request` | ezcMvcRequest |
`$result` | ezcMvcResult |
`$response` | ezcMvcResponse |

#### runResultFilters

void runResultFilters( ezcMvcRoutingInformation $routeInfo , ezcMvcRequest $request , ezcMvcResult $result )

Runs all the request filters that are deemed necessary depending on information in $routeInfo, $request and $result.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$routeInfo` | ezcMvcRoutingInformation |
`$request` | ezcMvcRequest |
`$result` | ezcMvcResult |

Documentation generated by phpDocumentor 1.4.3